Subject: Re: WG LAST CALL of draft-ietf-forces-requirements-03.txt - May10-24

From: Ram Dantu <[email-masked]>
Date: Thu, 23 May 2002 11:21:13 -0500

Alex,

Please see my comments.

Regards
Ram Dantu

-----Original Message-----
From: Alex Audu [mailto:[email-masked]]
Sent: Thursday, May 23, 2002 10:44 AM
To: [email-masked]
Subject: Re: WG LAST CALL of draft-ietf-forces-requirements-03.txt -
May10-24

Hello Ram,

Sorry for the delay in responding to your last request. You are right; the ForCES protocol
requirement
section  also implies the responsibilities of CE.  However, is it a requirement that CE
should handle control
and signalling functions?  Then we should so state in the document, though it is implied in
the draft.
[RD] Start
Please see definition of control element in Section 2. It reads
"CEs handle functionality such as the execution of control 
 and signaling protocols."  I hope this clarifies your question
[RD] End

Also, can we add language that FoCES protocol should support State Monitoring/Management
and Error
Reporting?

[RD] There is some text in items 13 and 14 of Section 7 (querying stats, and asynchronous 
notifications). We shall add text for error reporting and monitoring.

Regards,
Alex.

Ram Dantu wrote:

> Alex,
>
> In Section 6.5, there is a list of logical functions in FE
> (This section defines a minimal set of logical functions
>  that any FE model MUST support.  This minimal set DOES NOT imply
>  that all FEs must provide this functionality).
> We can provide an example on how to achieve a forwarding function with these functions.
> I think this can go in the framework document or FE model document.
>
> Also, I think every ForCES requirement mandates a corresponding
> function to be present in the FE and CE. So, I assume
> CE should support all ForCES requirements. May be
> you can give some examples with reference to some section ?
>
> Thanks
> Ram Dantu
> -----Original Message-----
> From: Alex Audu [mailto:[email-masked]]
> Sent: Friday, May 17, 2002 9:47 AM
> To: [email-masked]
> Subject: Re: WG LAST CALL of draft-ietf-forces-requirements-03.txt - May
> 10-24
>
> Ram,
>
> My comments were intended to try to reconcile the spirit of ForCES with that
> expressed in P1520 (IEEE Programmable Interface for Network Elements).
> In P1520, some resource building blocks are identified (e.g. classifiers, meters,
> scheduler, queue, marker, dropper, shapper, counter, multiplexor,..), from
> which services can be built. These allign with the logical functions identified in the
> FE model.  We can definitly identify some minimum set of logical functions necessary
> to realize a viable forwarding function in an FE.  May be some langauage can be
> added to recommend a minimum set?
>
> >[RD.Start] Each CE shall have to support one or more functions
> >that are related to controlling a particular FE. These functions
> >have to identified on a FE by FE basis by the FE/CE managers.
> >[RD.End]
>
> Can we then add a CE Model Requirements section to the draft and
> identify CE's requirements there?
>
> Regards,
> Alex.
>
> Ram Dantu wrote:
>
> > Alex,
> > Please see my comments below.
> >
> > Regards
> > Ram Dantu
> >
> > -----Original Message-----
> > From: Alex Audu [mailto:[email-masked]]
> > Sent: Wednesday, May 15, 2002 4:41 PM
> > To: [email-masked]
> > Subject: WG LAST CALL of draft-ietf-forces-requirements-03.txt - May 1
> > 0-24
> >
> > David,
> >
> > I am new to this mailing list, though I have been following the FORCes
> > effort for a while
> > and I have the comments about the requirements draft.
> >
> > Section 6 (FE Model Requirements) . Since the logical functions of the
> > FE can be programmed
> > or selected by the CE,  it also makes sense to allow the capabilities of
> > those logical functions
> > to be programmed by the CE.  That way, it may not be necessary for the
> > CE to querry for the
> > capabilities of the FE before using it (since it already knows this by
> > virtue of being the programmer).
> > Can you add language here to clarify this?
> >
> > [RD.Start] I assume that these queries happen during ForCES initialization
> > as well as due to changes in FE resources.
> > [RD.End]
> >
> > Section 6.5 (Minimal Set of Logical Functions). Shouldn't we also
> > specify a minimum set of
> > functional/logical blocks every FE must contain? This will be akin to a
> > minimum toolset that
> > could be cobbled together to implement any of the main set of  packet
> > handling behaviors in a FE.
> > [RD.start] Imposing a minimal set may be a controversial subject. However,
> > we can say forwarding function is the minimum function. In the framework/architecture
> > document, we have mentioned some FE and CE functions.
> > [RD.End]
> >
> > Also, are there any unique CE Model Requirements  identifiable?
> >
> > [RD.Start] Each CE shall have to support one or more functions
> > that are related to controlling a particular FE. These functions
> > have to identified on a FE by FE basis by the FE/CE managers.
> > [RD.End]
> >
> > Regards,
> > Alex.
> >
> > > -----Original Message-----
> > > From: Putzolu, David [mailto:[email-masked]]
> > > Sent: Friday, May 10, 2002 4:14 AM
> > > To: [email-masked]
> > > Subject: WG LAST CALL of draft-ietf-forces-requirements-03.txt - May
> > > 10-24
> > > Importance: High
> > >
> > >
> > > All,
> > >
> > > This message marks the beginning of a last call
> > > for the ForCES requirements document.
> > >
> > > The last call period begins immediately and lasts
> > > until Friday, May 24th, 2002, at midnight GMT.
> > >
> > > Document URL:
> > > http://www.ietf.org/internet-drafts/draft-ietf-forces-requirem
> > ents-03.txt
> >
> > Thanks,
> > David